<h1 mat-dialog-title>Adicionar Utilizador</h1>
<form [formGroup]="userForm" (submit)="onSubmit($event)">
    <mat-dialog-content>
        <mat-form-field>
            <mat-label>Nome</mat-label>
            <input
                matInput
                placeholder="Nome do Utilizador"
                formControlName="name"
                name="name"
            />
            <mat-error *ngIf="userForm.get('name').hasError('required')">
                Nome obrigatório
            </mat-error>
            <mat-icon matPrefix>account_circle</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Email</mat-label>
            <input
                matInput
                placeholder="User email"
                type="email"
                formControlName="email"
                name="email"
            />
            <mat-error *ngIf="userForm.get('email').hasError('required')">
                Email obrigatório
            </mat-error>
            <mat-error
                *ngIf="
                    userForm.get('email').hasError('email') ||
                    userForm.get('email').hasError('invalidEmail')
                "
            >
                Email inválido
            </mat-error>
            <mat-icon matPrefix>email</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Role</mat-label>
            <mat-select formControlName="role" name="role">
                <mat-option *ngFor="let role of roles" [value]="role.value">{{
                    role.label
                }}</mat-option>
            </mat-select>

            <mat-error
                *ngIf="
                    userForm.get('role').touched &&
                    userForm.get('role').hasError('required')
                "
            >
                Role obrigatória
            </mat-error>
            <mat-icon matPrefix>admin_panel_settings</mat-icon>
        </mat-form-field>
    </mat-dialog-content>

    <mat-dialog-actions>
        <button
            mat-button
            color="primary"
            type="submit"
            [disabled]="!userForm.valid"
        >
            <mat-icon>person_add</mat-icon>
            Adicionar
        </button>
        <button mat-button color="accent" type="button" (click)="onClose()">
            <mat-icon>cancel</mat-icon>
            Cancelar
        </button>
    </mat-dialog-actions>
</form>
